Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# IO

Perl 5 version 16.0 documentation
Go to top
Show page index • Show recent pages
Recently read

# IO

- NAME
- SYNOPSIS
- DESCRIPTION
- DEPRECATED

# NAME

IO - load various IO modules

# SYNOPSIS

       use IO qw(Handle File); # loads IO modules, here IO::Handle, IO::File   use IO;                 # DEPRECATED

# DESCRIPTION

`IO` provides a simple mechanism to load several of the IO modules in one go. The IO modules belonging to the core are:

          IO::Handle      IO::Seekable      IO::File      IO::Pipe      IO::Socket      IO::Dir      IO::Select      IO::Poll

Some other IO modules don't belong to the perl core but can be loaded as well if they have been installed from CPAN. You can discover which ones exist by searching for "^IO::" on http://search.cpan.org.

For more information on any of these modules, please see its respective documentation.

# DEPRECATED

        use IO;                # loads all the modules listed below

The loaded modules are IO::Handle, IO::Seekable, IO::File, IO::Pipe, IO::Socket, IO::Dir. You should instead explicitly import the IO modules you want.

Page index

- NAME
- SYNOPSIS
- DESCRIPTION
- DEPRECATED